# yamllint disable
# maps security-code-scan rule ids to semgrep rules
# License: MIT (c) GitLab Inc.
# yamllint enable
---
security_code_scan:
  native_id:
    type: "security_code_scan_rule_id"
    name: "$ID"
    value: "$ID"
  mappings:
  - id: "SCS0001"
    rules:
    - path: "csharp/injection/rule-CommandInjection"
      primary_id: "security_code_scan.SCS0001-1"
      id: "security_code_scan.SCS0001-1"
  - id: "SCS0002"
    rules:
    - path: "csharp/injection/rule-SQLInjection"
      primary_id: "security_code_scan.SCS0002-1"
      id: "security_code_scan.SCS0002-1"
  - id: "SCS0003"
    rules:
    - path: "csharp/injection/rule-XPathInjection"
      primary_id: "security_code_scan.SCS0003-1"
      id: "security_code_scan.SCS0003-1"
  - id: "SCS0004"
    rules:
    - path: "csharp/crypto/rule-CertificateValidationDisabled"
      primary_id: "security_code_scan.SCS0004-1"
      id: "security_code_scan.SCS0004-1"
  - id: "SCS0005"
    rules:
    - path: "csharp/crypto/rule-WeakRNG"
      primary_id: "security_code_scan.SCS0005-1"
      id: "security_code_scan.SCS0005-1"
  - id: "SCS0006"
    rules:
    - path: "csharp/crypto/rule-WeakHashingFunction"
      primary_id: "security_code_scan.SCS0006-1"
      id: "security_code_scan.SCS0006-1"
  - id: "SCS0010"
    rules:
    - path: "csharp/crypto/rule-WeakCipherAlgorithm"
      primary_id: "security_code_scan.SCS0010-1"
      id: "security_code_scan.SCS0010-1"
  - id: "SCS0013"
    rules:
    - path: "csharp/crypto/rule-WeakCipherMode"
      primary_id: "security_code_scan.SCS0013-1"
      id: "security_code_scan.SCS0013-1"
  - id: "SCS0008"
    rules:
    - path: "csharp/cookies/rule-CookieWithoutSSLFlag"
      primary_id: "security_code_scan.SCS0008-1"
      id: "security_code_scan.SCS0008-1"
  - id: "SCS0009"
    rules:
    - path: "csharp/cookies/rule-CookieWithoutHttpOnlyFlag"
      primary_id: "security_code_scan.SCS0009-1"
      id: "security_code_scan.SCS0009-1"
  - id: "SCS0011"
    rules:
    - path: "csharp/other/rule-UnsafeXSLTSettingUsed"
      primary_id: "security_code_scan.SCS0011-1"
      id: "security_code_scan.SCS0011-1"
  - id: "SCS0018"
    rules:
    - path: "csharp/path/rule-PathTraversal"
      primary_id: "security_code_scan.SCS0018-1"
      id: "security_code_scan.SCS0018-1"
  - id: "SCS0016"
    rules:
    - path: "csharp/csrf/rule-Csrf"
      primary_id: "security_code_scan.SCS0016-1"
      id: "security_code_scan.SCS0016-1"
  - id: "SCS0017"
    rules:
    - path: "csharp/validation/rule-InputValidation"
      primary_id: "security_code_scan.SCS0017-1"
      id: "security_code_scan.SCS0017-1"
  - id: "SCS0026"
    rules:
    - path: "csharp/injection/rule-LdapInjection"
      primary_id: "security_code_scan.SCS0026-1"
      id: "security_code_scan.SCS0026-1"
  - id: "SCS0031"
    rules:
    - path: "csharp/injection/rule-LdapInjection"
      primary_id: "security_code_scan.SCS0026-1.SCS0031-1"
      id: "security_code_scan.SCS0026-1.SCS0031-1"
  - id: "SCS0027"
    rules:
    - path: "csharp/endpoint/rule-UnvalidatedRedirect"
      primary_id: "security_code_scan.SCS0027-1"
      id: "security_code_scan.SCS0027-1"
  - id: "SCS0028"
    rules:
    - path: "csharp/deserialization/rule-InsecureDeserialization"
      primary_id: "security_code_scan.SCS0028-1"
      id: "security_code_scan.SCS0028-1"
  - id: "SCS0029"
    rules:
    - path: "csharp/xss/rule-ScriptXss"
      primary_id: "security_code_scan.SCS0029-1"
      id: "security_code_scan.SCS0029-1"
  - id: "SCS0030"
    rules:
    - path: "csharp/xss/rule-HtmlElementXss"
      primary_id: "security_code_scan.SCS0029-2"
      id: "security_code_scan.SCS0029-2"
  - id: "SCS0032"
    rules:
    - path: "csharp/password/rule-PasswordComplexity"
      primary_id: "security_code_scan.SCS0032-1"
      id: "security_code_scan.SCS0032-1"
  - id: "SCS0033"
    rules:
    - path: "csharp/password/rule-PasswordComplexity"
      primary_id: "security_code_scan.SCS0033-1"
      id: "security_code_scan.SCS0033-1"
  - id: "SCS0034"
    rules:
    - path: "csharp/password/rule-PasswordComplexity"
      primary_id: "security_code_scan.SCS0032-1.SCS0033-1.SCS0034-1"
      id: "security_code_scan.SCS0032-1.SCS0033-1.SCS0034-1"
  - id: "SCS0035"
    rules:
    - path: "csharp/injection/rule-XmlDocumentXXEInjection"
      primary_id: "security_code_scan.SCS0035-1"
      id: "security_code_scan.SCS0035-1"
  - id: "SCS0035"
    rules:
    - path: "csharp/injection/rule-XmlReaderXXEInjection"
      primary_id: "security_code_scan.SCS0035-2"
      id: "security_code_scan.SCS0035-2"